# $Revision: 1.198 $, $Date: 2005/10/29 20:19:34 $
#
# Conditional build:
%bcond_without	aspell		# without spell checking
%bcond_without	voip		# without VoIP support
%bcond_without	python		# with python support
%bcond_without	pthread		# build with Posix threads support
%bcond_with	ioctl_daemon	# with ioctl_daemon (suid root)
#
Summary:	A client compatible with Gadu-Gadu
Summary(de):	Ein Cliente kompatibel mit Gadu-Gadu
Summary(es):	Un cliente compatible con Gadu-Gadu
Summary(it):	Un cliente compatibile con Gadu-Gadu
Summary(pl):	Klient kompatybilny z Gadu-Gadu
Name:		ekg
Version:	1.6
Release:	1
Epoch:		4
License:	GPL v2
Group:		Applications/Communications
Source0:	http://dev.null.pl/ekg/%{name}-%{version}.tar.gz
# Source0-md5:	1094eee5062d9b9900c4b28bd68fb564
Source1:	%{name}.conf
URL:		http://dev.null.pl/ekg/
%{?with_aspell:BuildRequires:	aspell-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_voip:BuildRequires:	libgsm-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	%{_bindir}/perl
%if %{with python}
BuildRequires:	python
BuildRequires:	python-devel
%endif
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source gadu-gadu
client for UNIX systems. Gadu-Gadu is an instant messaging program,
very popular in Poland.

EKG features include:
  - irssi-like ncurses interface
  - sending and receiving files
  - voice conversations
  - launching shell commands on certain events
  - reading input from pipe
  - python scripting support
  - speech synthesis (using an external program)
  - encryption support

Please note that the program is not internationalized and all messages
are in Polish (although the commands are in English).

%description -l de
Ein Cliente kompatibel mit Gadu-Gadu.

%description -l es
Un cliente compatible con Gadu-Gadu.

%description -l it
Un cliente compatibile con Gadu-Gadu.

%description -l pl
EKG ("Eksperymentalny Klient Gadu-Gadu") jest open source'owym
klientem gadu-gadu dla systemw uniksowych. Gadu-Gadu to popularny w
Polsce komunikator internetowy.

Moliwoci EKG:
  - interfejs uytkownika podobny do irssi,
  - wysyanie i odbieranie plikw,
  - rozmowy gosowe,
  - uruchamianie polece powoki w okrelonych sytuacjach,
  - wczytywanie wejcia z potoku,
  - wsparcie dla skryptw w jzyku Python,
  - synteza mowy (z uyciem zewntrznego programu),
  - wsparcie dla szyfrowania.

Program nie jest umidzynarodowiony i wszystkie komunikaty s po
polsku (jednak komendy s w jzyku angielskim).

%package -n libgadu
Summary:	libgadu library
Summary(es):	Biblioteca libgadu
Summary(pl):	Biblioteka libgadu
License:	LGPL v2.1
Group:		Libraries
Obsoletes:	libgg

%description -n libgadu
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -n libgadu -l de
Mit libgadu ist es Ihnen mglich auf einfache Weise Gadu-Gadu
Kommunikations-Untersttzung in Ihre Software einzubinden.

%description -n libgadu -l es
libgadu est pensada para facilitar aadirle comunicacin va
Gadu-Gadu a su software.

%description -n libgadu -l pl
libgadu umoliwia atwe dodanie do rnych aplikacji komunikacji
bazujcej na protokole Gadu-Gadu.

%package -n libgadu-devel
Summary:	libgadu development library
Summary(es):	Biblioteca de desarrollo de libgadu
Summary(pl):	Cz biblioteki libgadu dla programistw
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	libgadu = %{epoch}:%{version}-%{release}
Requires:	openssl-devel
Obsoletes:	libgg-devel

%description -n libgadu-devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description -n libgadu-devel -l de
Das libgadu-devel Paket enthlt Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie bentigen um mit libgadu Anwendungen zu
entwickeln.

%description -n libgadu-devel -l es
El paquete libgadu-devel contiene los ficheros de cabecera, juntos con
una documentacin, necesarios para desarrollar aplicaciones que usar
libgadu.

%description -n libgadu-devel -l pl
Pakiet libgadu-devel zawiera pliki nagwkowe i dokumentacj,
potrzebne do kompilowania aplikacji korzystajcych z libgadu.

%package -n libgadu-static
Summary:	Static libgadu library
Summary(es):	Biblioteca libgadu esttica
Summary(pl):	Statyczna biblioteka libgadu
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	libgadu-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libgg-static

%description -n libgadu-static
Static libgadu library.

%description -n libgadu-static -l de
Statisches libgadu Archiv.

%description -n libgadu-static -l es
Biblioteca libgadu esttica.

%description -n libgadu-static -l pl
Statyczna biblioteka libgadu.

%prep
%setup -q

%build
rm -f missing
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%configure \
	--enable-shared \
	--enable-static \
%if %{with pthread}
	--with-pthread \
%else
	--without-pthread \
%endif
	--without-bind \
	%{?with_python:--with-python} \
	%{!?with_voip:--without-libgsm} \
	%{?with_aspell:--enable-aspell} \
	%{?with_ioctl_daemon:--enable-ioctld}

%{__make} \
	CC="%{__cc}  -Wall -I%{_includedir}/ncurses"

%if %{with ioctl_daemon}
%{__make} -C src ioctld
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install install-ekl2 \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

# For libgadu-devel

rm -f examples/Makefile examples/Makefile.in examples/.cvsignore
rm -rf examples/CVS

install -d $RPM_BUILD_ROOT%{_examplesdir}/libgadu-%{version}
cp -af examples/* $RPM_BUILD_ROOT%{_examplesdir}/libgadu-%{version}

%if %{with ioctl_daemon}
install src/ioctld $RPM_BUILD_ROOT%{_bindir}
%endif

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libgadu.so.*.* libgadu.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libgadu -p /sbin/ldconfig
%postun -n libgadu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{7thguard,dcc,files,gdb,python,sim,themes,ui-ncurses,vars,voip}.txt
%{?with_aspell:%doc docs/slownik.txt}
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%attr(755,root,root) %{_bindir}/e*
%{?with_ioctl_daemon:%attr(4755,root,root) %{_bindir}/ioctld}
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*.conf
%{_datadir}/ekg
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files -n libgadu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so.*.*

%files -n libgadu-devel
%defattr(644,root,root,755)
%doc docs/{7thguard,ui,devel-hints,przenosny-kod}.txt docs/protocol.html
%doc ChangeLog docs/{README,TODO}
%attr(755,root,root) %{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_includedir}/libgadu-config.h
%{_pkgconfigdir}/*
%{_examplesdir}/libgadu-%{version}

%files -n libgadu-static
%defattr(644,root,root,755)
%{_libdir}/libgadu.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ekg.spec,v $
Revision 1.198  2005/10/29 20:19:34  arekm
- up to final 1.6; dropped yesterday_snapshot support

Revision 1.197  2005/09/28 10:05:55  zboczuch
- pl fix

Revision 1.196  2005/07/27 12:35:26  blekot
- reverted glen commit (ekg is not vulnerable to this bug in this version)

Revision 1.195  2005/07/27 11:50:17  glen
- todo security

Revision 1.194  2005/07/18 19:35:06  lukasz
- rc3
- security fix

Revision 1.193  2005/07/03 00:21:44  ankry
- tabs

Revision 1.192  2005/07/02 15:19:27  teodor
- added yesterday_snapshot (patch made by Adam Mikuta)

Revision 1.191  2005/06/26 13:53:52  djurban
- kopete requires ekg WITH PTHREAD, turn on by default

Revision 1.190  2005/04/29 00:21:55  charles
- BR: python if bcond with_python

Revision 1.189  2005/03/20 16:24:57  adamg
- updated to 1.6rc1

Revision 1.188  2005/03/19 18:34:51  adamg
- one tab too much in bcond description for pthread
- dropped kadu-0_3_6.patch (changes already applied)
- better en/pl description (shamelessly stolen from Debian)

Revision 1.187  2005/03/19 18:22:07  adamg
- updated to 20050318 snap (a _lot_ of bugfixes since 1.5)

Revision 1.186  2005/02/23 18:28:31  mmazur
- pthread support is really borked in libgadu; off by default

Revision 1.185  2005/01/05 22:36:36  havner
- rel 5 for aspell 0.50 rebuild

Revision 1.184  2004/12/30 12:11:55  sparky
- remove libgadu version change, it isn't snap anymore

Revision 1.183  2004/12/25 19:34:39  saq
- release 4 for rebuild with python 2.4

Revision 1.182  2004/12/24 22:07:29  adamg
- release 3 to rebuild with python 2.4

Revision 1.181  2004/10/17 07:41:18  paszczus
- massive attack: added Source0-size

Revision 1.180  2004/09/15 13:06:07  kolodko
- corrected bcond with_ioctl_daemon

Revision 1.179  2004/08/01 05:09:40  domelu
- default bcond --with python

Revision 1.178  2004/07/28 18:11:04  qboosh
- strict internal deps, cleanups

Revision 1.177  2004/07/28 17:19:09  paszczus
- removed commented Source0, %setup, Release
- removed snap version
- release 1

Revision 1.176  2004/07/28 17:02:14  paszczus
- little cleanup
- updated to FINAL 1.5
- removed %{snap} from release
- release 4

Revision 1.175  2004/06/09 18:12:00  zboczuch
- doc for aspell support included
- rel .3

Revision 1.174  2004/06/08 22:21:36  adamg
- added aspell support (previously tested on DEVEL)

Revision 1.173  2004/05/25 10:11:41  adgor
- Ops.. rel 0.%%{_snap}.1

Revision 1.172  2004/05/25 09:58:56  adgor
- 20040524

Revision 1.171  2004/04/22 21:26:40  arekm
- define nicer version for gg_libgadu_version(); rel .2

Revision 1.170  2004/04/18 14:48:47  areq
- ekg 1.5rc1 snap 20040417

Revision 1.169  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.168  2004/03/07 13:21:31  adamg
- reverted last change - PLD-doc/new-style-bconds.txt says we shouldn't
  use ?without_foo

Revision 1.167  2004/03/07 12:34:11  adamg
- really use new style bconds

Revision 1.166  2004/01/17 08:23:33  undefine
- release 5 to allow upgrade from RA

Revision 1.165  2004/01/06 19:46:33  qboosh
- s/openssh-devel/openssl-devel/, cleanups/unifications

Revision 1.164  2004/01/06 11:43:55  averne
- added missing B: openssh-devel to libgadu-devel

Revision 1.163  2003/12/28 13:45:09  grzegol
- added -I m4 to %%{__aclocal}

Revision 1.162  2003/11/22 18:51:52  arekm
- rel 3

Revision 1.161  2003/11/22 17:11:24  arekm
- add some changes from kadu (compatible)

Revision 1.160  2003/11/17 23:51:10  saq
- es translations
- fixes in the others

Revision 1.159  2003/11/17 23:26:44  arekm
- final 1.4

Revision 1.158  2003/11/05 06:10:30  domelu
- added (now build fine --with python):
  %{__make} CC="%{__cc} %{rpmcflags} -Wall -I/usr/include/ncurses"

Revision 1.157  2003/10/28 13:54:55  adgor
- Cosmetics

Revision 1.156  2003/10/24 22:41:09  arekm
- updated to 1.4rc2

Revision 1.155  2003/10/12 15:43:28  leafnode
- corrected dirname

Revision 1.154  2003/10/12 15:34:32  leafnode
- moved examples to proper place

Revision 1.153  2003/10/04 13:48:54  arekm
- updated to 20031003 snapshot

Revision 1.152  2003/10/01 22:06:28  adamg
- updated to snap 20031001 (support for gg6)

Revision 1.151  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.150  2003/09/20 12:52:42  arekm
- new bconds, voip enabled by default

Revision 1.149  2003/09/20 11:31:08  arekm
- updated to 1.4 snapshot

Revision 1.148  2003/09/11 21:54:03  erjot
- Haha up to 1.3
- support for GG 6

Revision 1.147  2003/09/10 21:03:06  erjot
- vesion 1.2 (DoS bugfix)
- fix docs

Revision 1.146  2003/08/30 16:37:18  adamg
- updated to 1.2rc1

Revision 1.145  2003/08/20 19:49:25  krzak
- rel 2 just to rebuild with fixed openssl.pc

Revision 1.144  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.143  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.142  2003/07/13 15:43:11  erjot
- fix License

Revision 1.141  2003/07/11 15:49:19  blues
- cosmetics

Revision 1.140  2003/07/11 07:37:16  adamg
- updated to 1.1

Revision 1.139  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.138  2003/07/07 21:29:03  freetz
- up to 1.1rc2 version

Revision 1.137  2003/06/22 00:07:50  jareq
- fixed epoch:version issue

Revision 1.136  2003/06/09 18:54:25  erjot
- fix release (thx blues)

Revision 1.135  2003/06/09 06:41:07  erjot
- up to 1.1rc1
- typo

Revision 1.134  2003/06/03 22:32:55  lukasz
- up to 20030603

Revision 1.133  2003/05/30 07:09:27  erjot
- up to 2003.05.29 ("... psujacy zabawe blad off-by-one w ioctld.")

Revision 1.132  2003/05/27 11:56:29  adgor
- Version 1.0; Release 3.%%{_snapshot}.1; Epoch 3

Revision 1.131  2003/05/25 12:48:48  erjot
- up to 20030521 (support for tls)
- bcond: without -> with voip
- typos

Revision 1.130  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.129  2003/05/25 05:47:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.128  2003/05/10 20:16:09  radek
- BR: _bindir/perl instead of perl (is it really needed?)

Revision 1.127  2003/04/27 13:06:33  blues
- cosmetics in files

Revision 1.126  2003/04/22 17:20:35  misi3k
- %%setup fix

Revision 1.125  2003/04/22 16:34:15  adamg
- updated to 1.0
- release 3
